## openzwave-controlpanel 0.2a%2Bgit20161006.a390f35

=== debian/changelog ===
openzwave-controlpanel (0.2a+git20161006.a390f35-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:53:06 +0100

openzwave-controlpanel (0.2a+git20161006.a390f35-2) unstable; urgency=medium

  * Append CPPFLAGS to CFLAGS to enable FORTIFY hardening.
  * Add debian/watch file in case upstream starts releasing.
  * Override lintian informational tags about spelling.
  * Update debian/copyright URL to use https.
  * Add -Wno-format-security flag. (Closes: #871217)
  * Bump Standards-Version to 4.0.1.

 -- Dara Adib <daradib@ocf.berkeley.edu>  Sat, 19 Aug 2017 18:32:25 -0400

openzwave-controlpanel (0.2a+git20161006.a390f35-1) unstable; urgency=medium

  * Initial release. (Closes: #849010)
    Thanks to Thorsten Alteholz for advising and sponsoring.

 -- Dara Adib <daradib@ocf.berkeley.edu>  Sat, 24 Dec 2016 16:44:32 -0500
