=== debian/control ===
Source: openzwave-controlpanel
Section: non-free/comm
Priority: optional
Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
Uploaders: Dara Adib <daradib@ocf.berkeley.edu>
Build-Depends: debhelper (>= 9), libmicrohttpd-dev, libopenzwave1.5-dev
Standards-Version: 4.0.1
Homepage: https://github.com/OpenZWave/open-zwave-control-panel
Vcs-Git: https://anonscm.debian.org/git/debian-iot/openzwave-controlpanel.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-iot/openzwave-controlpanel.git

Package: openzwave-controlpanel
Architecture: any
Depends: libjs-bootstrap, libjs-jquery, ${misc:Depends}, ${shlibs:Depends}
Description: OpenZWave Control Panel
 OpenZWave Control Panel (ozwcp) permits users to query, manage, and
 monitor Z-Wave nodes and networks. It provides a web-based user interface.
 Some example uses include adding/removing nodes, testing commands,
 and viewing/changing node configuration parameters.
