=== debian/changelog ===
openzwave-controlpanel (1.6~git20200306.4b8a39d-1build3) noble; urgency=medium

  * Rebuild against new libopenzwave1.6t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 12 Apr 2024 13:59:35 +0200

openzwave-controlpanel (1.6~git20200306.4b8a39d-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:08:48 +1100

openzwave-controlpanel (1.6~git20200306.4b8a39d-1build1) noble; urgency=high

  * No change rebuild against libmicrohttpd12t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:47:34 +0100

openzwave-controlpanel (1.6~git20200306.4b8a39d-1) unstable; urgency=medium

  * New upstream release.
  * adapt patches
  * debian/control: add dependency libudev-dev

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 07 Jan 2023 16:11:42 +0100

openzwave-controlpanel (0.2a+git20161006.a390f35-3) unstable; urgency=medium

  * debian/control: add myself to Uploaders:
  * debian/control: use dh13
  * debian/control: bump standard to 4.6.1 (no changes)
  * debian/control: update Vcs-*
  * debian/control: add Rules-Requires-Root: no
  * debian/control: add XS-Autobuild: yes
  * debian/watch: update watch file to use git instead of tags

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 28 Dec 2022 11:03:02 +0100

openzwave-controlpanel (0.2a+git20161006.a390f35-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build against new openzwave-versioned-dev package (Closes: #983381)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Feb 2021 21:10:19 +0100

openzwave-controlpanel (0.2a+git20161006.a390f35-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch from Nicolas Mora to fix a build failure with recent libmicrohttpd
    Closes: #964512

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Nov 2020 22:01:52 +0100
