=== debian/control ===
Source: openzwave-controlpanel
Section: non-free/comm
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
Uploaders: Dara Adib <daradib@ocf.berkeley.edu>,
	Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, libmicrohttpd-dev
	, libopenzwave1.6-dev
	, libudev-dev
Standards-Version: 4.6.1
Homepage: https://github.com/OpenZWave/open-zwave-control-panel
Vcs-Browser: https://salsa.debian.org/debian-iot-team/openzwave-controlpanel
Vcs-Git: https://salsa.debian.org/debian-iot-team/openzwave-controlpanel.git
Rules-Requires-Root: no
XS-Autobuild: yes

Package: openzwave-controlpanel
Architecture: any
Depends: libjs-bootstrap, libjs-jquery, ${misc:Depends}, ${shlibs:Depends}
Description: OpenZWave Control Panel
 OpenZWave Control Panel (ozwcp) permits users to query, manage, and
 monitor Z-Wave nodes and networks. It provides a web-based user interface.
 Some example uses include adding/removing nodes, testing commands,
 and viewing/changing node configuration parameters.
